---
lang: en
title: 'API docs: rest.controllerroute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.controllerroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ControllerRoute](./rest.controllerroute.md)

## ControllerRoute class

A route backed by a controller

**Signature:**

```typescript
export declare class ControllerRoute<T extends object> extends BaseRoute 
```
**Extends:** [BaseRoute](./rest.baseroute.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(verb, path, spec, controllerCtor, controllerFactory, methodName)](./rest.controllerroute._constructor_.md)


</td><td>


</td><td>

Construct a controller based route


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[\_controllerCtor](./rest.controllerroute._controllerctor.md)


</td><td>

`protected`

`readonly`


</td><td>

[ControllerClass](./rest.controllerclass.md)<!-- -->&lt;T&gt;


</td><td>


</td></tr>
<tr><td>

[\_controllerFactory](./rest.controllerroute._controllerfactory.md)


</td><td>

`protected`

`readonly`


</td><td>

[ControllerFactory](./rest.controllerfactory.md)<!-- -->&lt;T&gt;


</td><td>


</td></tr>
<tr><td>

[\_controllerName](./rest.controllerroute._controllername.md)


</td><td>

`protected`

`readonly`


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[\_methodName](./rest.controllerroute._methodname.md)


</td><td>

`protected`

`readonly`


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[describe()](./rest.controllerroute.describe.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[invokeHandler(requestContext, args)](./rest.controllerroute.invokehandler.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[updateBindings(requestContext)](./rest.controllerroute.updatebindings.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


